# Draft script
# Convert a movie to image sequence

from __future__ import absolute_import
import sys
import os.path
import Draft
from DraftParamParser import ParseCommandLine, ReplaceFilenameHashesWithNumber

expectedTypes = {}
expectedTypes['inFile'] = '<string>'
expectedTypes['outFile'] = '<string>'

params = ParseCommandLine(expectedTypes, sys.argv)

inFile = params['inFile']
outFilePattern = params['outFile']

lut = None

movieExtensions = ['.mov']
if os.path.splitext(outFilePattern)[1].lower() in movieExtensions:
    outFilePattern = os.path.splitext(outFilePattern)[0] + '.dpx'

if os.path.splitext(outFilePattern)[1].lower() == '.dpx':
    lut = Draft.LUT.CreateCineon()

img = Draft.Image.CreateImage(1, 1)

dec = Draft.VideoDecoder(inFile)

frameNumber = 0

while dec.DecodeNextFrame(img):
    if lut is not None:
        lut.Apply(img)
    img.WriteToFile(ReplaceFilenameHashesWithNumber(outFilePattern, frameNumber))
    frameNumber += 1
