# Draft script
# Transcode a movie to MJPEG

from __future__ import absolute_import
import sys
import Draft
from DraftParamParser import ParseCommandLine

expectedTypes = {}
expectedTypes['inFile'] = '<string>'
expectedTypes['outFile'] = '<string>'

params = ParseCommandLine(expectedTypes, sys.argv)

inFile = params['inFile']
outFile = params['outFile']

img = Draft.Image.CreateImage(1, 1)

dec = Draft.VideoDecoder(inFile)

hasFrame = dec.DecodeNextFrame(img)

enc = None

while hasFrame:
    if enc is None:
        enc = Draft.VideoEncoder(outFile, 25, dec.width, dec.height, codec='mjpeg')

    enc.EncodeNextFrame(img)

    hasFrame = dec.DecodeNextFrame(img)

if enc is not None:
    enc.FinalizeEncoding()
